# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-05-09 07:39
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Blueprint',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('uid', models.CharField(max_length=255, unique=True)),
                ('type', models.CharField(default='', max_length=255)),
                ('tags', models.CharField(max_length=255, null=True)),
                ('visibility', models.CharField(default='', max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='dchqConnection',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(blank=True, max_length=255, null=True)),
                ('password', models.CharField(blank=True, max_length=255, null=True)),
                ('hostEndpoint', models.CharField(blank=True, max_length=255, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='userApps',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('APPuid', models.CharField(max_length=255)),
                ('AppName', models.CharField(max_length=255)),
                ('owner', models.CharField(max_length=255)),
                ('blueprintUid', models.CharField(max_length=255)),
                ('blueprintYAML', models.CharField(max_length=2048)),
                ('tags', models.CharField(max_length=255, null=True)),
                ('buildTime', models.DateTimeField(auto_now_add=True, null=True)),
                ('lastMod', models.DateTimeField(auto_now_add=True, null=True)),
                ('appStatus', models.CharField(max_length=255)),
                ('appLocalFqdn', models.CharField(max_length=255)),
                ('appFqdn', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='userCustomBlueprintTemplates',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('templateName', models.CharField(max_length=255)),
                ('templateVisibility', models.CharField(default='', max_length=255, null=True)),
                ('templateYAML', models.CharField(max_length=2048)),
            ],
        ),
    ]
